# Io Reference

Databases / TokyoCabinet / TokyoCabinetPrefixCursor

|  | A database cursor.

close

Closes the database.
first

Move cursor to first record. Returns self
jump(key)

Move cursor to record before key. Returns self
key

Returns current cursor key or nil.
last

Move cursor to last record. Returns self
next

Move cursor to next record. Returns true if there is another key, or false if there is no next record.
previous

Move cursor to previous record. Returns true if there is another key, or false if there is no previous record.
put(value)

Sets the value at the current cursor postion. Returns self.
remove

Removes the current cursor postion. Returns self.
value

Returns current cursor value or nil.